Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Timeprobe.h File Reference

`#include "ace/pre.h"`
`#include "ace/OS.h"`
`#include "ace/Synch.h"`
`#include "ace/Singleton.h"`
`#include "ace/Timeprobe_T.h"`
`#include "ace/post.h"`

Include dependency graph for Timeprobe.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Event_Descriptions
| Event Descriptions. More...
class | ACE_timeprobe_t
| Time probe record. More...
union | ACE_timeprobe_t::event
| Events are record as strings or numbers. More...
## Defines
#define | ACE_TIMEPROBE_SINGLETON_TYPE ACE_Singleton
#define | ACE_TIMEPROBE_SINGLETON_LOCK_TYPE ACE_SYNCH_MUTEX
#define | ACE_TIMEPROBE_RESET
#define | ACE_TIMEPROBE(id)
#define | ACE_TIMEPROBE_PRINT
#define | ACE_TIMEPROBE_PRINT_ABSOLUTE
#define | ACE_TIMEPROBE_EVENT_DESCRIPTIONS(descriptions, minimum_id)
#define | ACE_FUNCTION_TIMEPROBE(X)
## Typedefs
typedef ACE_SYNCH_NULL_MUTEX | ACE_TIMEPROBE_MUTEX
typedef ACE_Timeprobe< ACE_TIMEPROBE_MUTEX > | ACE_TIMEPROBE_WITH_LOCKING
typedef ACE_TIMEPROBE_SINGLETON_TYPE< ACE_TIMEPROBE_WITH_LOCKING, ACE_TIMEPROBE_SINGLETON_LOCK_TYPE > | ACE_TIMEPROBE_SINGLETON
## Functions
| ACE_SINGLETON_DECLARE (ACE_TIMEPROBE_SINGLETON_TYPE,\ACE_TIMEPROBE_WITH_LOCKING,\ACE_TIMEPROBE_SINGLETON_LOCK_TYPE)

## Detailed Description

Timeprobe.h,v 4.33 2002/12/18 17:53:13 nanbor Exp

Author:
  Irfan Pyarali

If users want to use time probes, the ACE_COMPILE_TIMEPROBES flag must be defined when compiling ACE. This can be achieved by doing one of the following:

. Use make probe = 1, if you are using the make utility.

. Define ACE_COMPILE_TIMEPROBES in config.h

. Define ACE_COMPILE_TIMEPROBES in the VC project file.

. Other regular methods will also work.

It is not necessary to define ACE_COMPILE_TIMEPROBES when using time probes, you simply need ACE_ENABLE_TIMEPROBES. You can use the ACE_TIMEPROBE_* macros to program the time probes, and use the ACE_ENABLE_TIMEPROBE to enable the time probes. If you define ACE_ENABLE_TIMEPROBE in your code, but forget to compile ACE with ACE_COMPILE_TIMEPROBES, you will end up with linker errors.

Remember that ACE_COMPILE_TIMEPROBES means that the ACE library will contain code for time probes. This is only useful when compiling ACE. ACE_ENABLE_TIMEPROBES means that the ACE_TIMEPROBE_* macros should spring to life.

## Define Documentation

#define ACE_FUNCTION_TIMEPROBE | ( | X |  | ) |

#define ACE_TIMEPROBE | ( | id |  | ) |

#define ACE_TIMEPROBE_EVENT_DESCRIPTIONS | ( | descriptions,
|  | minimum_id |  | ) |

#define ACE_TIMEPROBE_PRINT

#define ACE_TIMEPROBE_PRINT_ABSOLUTE

#define ACE_TIMEPROBE_RESET

#define ACE_TIMEPROBE_SINGLETON_LOCK_TYPE ACE_SYNCH_MUTEX

#define ACE_TIMEPROBE_SINGLETON_TYPE ACE_Singleton

## Typedef Documentation

typedef ACE_SYNCH_NULL_MUTEX ACE_TIMEPROBE_MUTEX

typedef ACE_TIMEPROBE_SINGLETON_TYPE<ACE_TIMEPROBE_WITH_LOCKING, ACE_TIMEPROBE_SINGLETON_LOCK_TYPE> ACE_TIMEPROBE_SINGLETON

typedef ACE_Timeprobe<ACE_TIMEPROBE_MUTEX> ACE_TIMEPROBE_WITH_LOCKING

## Function Documentation

ACE_SINGLETON_DECLARE | ( | ACE_TIMEPROBE_SINGLETON_TYPE | ,
|  | \ | ACE_TIMEPROBE_WITH_LOCKING,
|  | \ | ACE_TIMEPROBE_SINGLETON_LOCK_TYPE
| ) |